com.holonplatform.jaxrs.swagger.spring

## Class SwaggerConfigurationProperties.ApiGroupConfiguration

- java.lang.Object
- - com.holonplatform.jaxrs.swagger.spring.SwaggerConfigurationProperties.ApiGroupConfiguration

- All Implemented Interfaces:
    ApiConfigurationProperties
  Enclosing class:
    SwaggerConfigurationProperties

      public static class SwaggerConfigurationProperties.ApiGroupConfiguration
      extends Object
      implements ApiConfigurationProperties

  API group configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiGroupConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SwaggerConfigurationProperties.Contact` | `getContact()`
    `String` | `getContactEmail()` Get the API contact email.
    `String` | `getContactName()` Get the API contact name.
    `String` | `getContactUrl()` Get the API contact URL.
    `String` | `getContextId()` Get the API context id.
    `String` | `getDescription()` Get the API description.
    `SwaggerConfigurationProperties.ExternalDocs` | `getExternalDocs()`
    `String` | `getExternalDocsDescription()` Get the external documentation description.
    `String` | `getExternalDocsUrl()` Get the external documentation URL.
    `String` | `getGroupId()`
    `List<String>` | `getIgnoredRoutes()` Get the API operation routes to ignore for API definition generation.
    `SwaggerConfigurationProperties.License` | `getLicense()`
    `String` | `getLicenseName()` Get the API license name.
    `String` | `getLicenseUrl()` Get the API license URL.
    `String` | `getPath()` Get the API listing endpoint path.
    `String` | `getResourcePackage()` Get the package names to use to filter the API resource classes.
    `JaxrsScannerType` | `getScannerType()` Get the API resource classes scanner type.
    `List<SwaggerConfigurationProperties.Security>` | `getSecurity()`
    `List<Map<String,List<String>>>` | `getSecurityRequirements()` Get the API security requirements.
    `SwaggerConfigurationProperties.Server` | `getServer()`
    `String` | `getServerDescription()` Get the API server description.
    `String` | `getServerUrl()` Get the API server URL.
    `String` | `getTermsOfServiceUrl()` Get the API terms of service URL.
    `String` | `getTitle()` Get the API title.
    `ApiEndpointType` | `getType()` Get the API listing endpoint type.
    `SwaggerConfigurationProperties.Version` | `getV2()` Get the Swagger V2 specific configuration.
    `SwaggerConfigurationProperties.Version` | `getV3()` Get the Swagger/OpenAPI V3 specific configuration.
    `String` | `getVersion()` Get the API version.
    `boolean` | `isGroupConfiguration()` Get whether is a API group configuration.
    `boolean` | `isIncludeAll()` Get whether to include all API resources or to include only the resources with a suitable API definition annotation.
    `boolean` | `isPrettyPrint()` Get whether the API output should be formatted.
    `void` | `setContact(SwaggerConfigurationProperties.Contact contact)`
    `void` | `setDescription(String description)`
    `void` | `setExternalDocs(SwaggerConfigurationProperties.ExternalDocs externalDocs)`
    `void` | `setGroupId(String groupId)`
    `void` | `setIgnoredRoutes(List<String> ignoredRoutes)`
    `void` | `setIncludeAll(boolean includeAll)`
    `void` | `setLicense(SwaggerConfigurationProperties.License license)`
    `void` | `setPath(String path)`
    `void` | `setPrettyPrint(boolean prettyPrint)`
    `void` | `setResourcePackage(String resourcePackage)`
    `void` | `setScannerType(JaxrsScannerType scannerType)`
    `void` | `setSecurity(List<SwaggerConfigurationProperties.Security> security)`
    `void` | `setServer(SwaggerConfigurationProperties.Server server)`
    `void` | `setTermsOfServiceUrl(String termsOfServiceUrl)`
    `void` | `setTitle(String title)`
    `void` | `setType(ApiEndpointType type)`
    `void` | `setV2(SwaggerConfigurationProperties.Version v2)`
    `void` | `setV3(SwaggerConfigurationProperties.Version v3)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jaxrs.swagger.spring.ApiConfigurationProperties

      `getResourcePackages`

- - ### Constructor Detail

    - #### ApiGroupConfiguration

          public ApiGroupConfiguration()

  - ### Method Detail

    - #### isGroupConfiguration

          public boolean isGroupConfiguration()

      Description copied from interface: `ApiConfigurationProperties`
      Get whether is a API group configuration.
      Specified by:
        `isGroupConfiguration` in interface `ApiConfigurationProperties`
      Returns:
        whether is a API group configuration

    - #### getGroupId

          public String getGroupId()

    - #### setGroupId

          public void setGroupId(String groupId)

    - #### isIncludeAll

          public boolean isIncludeAll()

      Description copied from interface: `ApiConfigurationProperties`
      Get whether to include all API resources or to include only the resources with a suitable API definition annotation.

      If `false`: For Swagger V2, only the `io.swagger.annotations.ApiOperation` annotated resource methods will be incuded. For Swagger/OpenAPI V3, only the `io.swagger.v3.oas.annotations.Operation` annotated resource methods will be incuded.

      Specified by:
        `isIncludeAll` in interface `ApiConfigurationProperties`
      Returns:
        whether to include all API resources

    - #### setIncludeAll

          public void setIncludeAll(boolean includeAll)

    - #### getIgnoredRoutes

          public List<String> getIgnoredRoutes()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API operation routes to ignore for API definition generation.
      Specified by:
        `getIgnoredRoutes` in interface `ApiConfigurationProperties`
      Returns:
        the ignored routes

    - #### setIgnoredRoutes

          public void setIgnoredRoutes(List<String> ignoredRoutes)

    - #### getResourcePackage

          public String getResourcePackage()

      Description copied from interface: `ApiConfigurationProperties`
      Get the package names to use to filter the API resource classes.

      To specify more than one package name, a comma separator con be used

      Specified by:
        `getResourcePackage` in interface `ApiConfigurationProperties`
      Returns:
        the package name to use to filter the API resource classes

    - #### setResourcePackage

          public void setResourcePackage(String resourcePackage)

    - #### getPath

          public String getPath()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API listing endpoint path.
      Specified by:
        `getPath` in interface `ApiConfigurationProperties`
      Returns:
        the API listing endpoint path

    - #### setPath

          public void setPath(String path)

    - #### getV2

          public SwaggerConfigurationProperties.Version getV2()

      Description copied from interface: `ApiConfigurationProperties`
      Get the Swagger V2 specific configuration.
      Specified by:
        `getV2` in interface `ApiConfigurationProperties`
      Returns:
        the Swagger V2 specific configuration

    - #### setV2

          public void setV2(SwaggerConfigurationProperties.Version v2)

    - #### getV3

          public SwaggerConfigurationProperties.Version getV3()

      Description copied from interface: `ApiConfigurationProperties`
      Get the Swagger/OpenAPI V3 specific configuration.
      Specified by:
        `getV3` in interface `ApiConfigurationProperties`
      Returns:
        the Swagger/OpenAPI V3 specific configuration

    - #### setV3

          public void setV3(SwaggerConfigurationProperties.Version v3)

    - #### getType

          public ApiEndpointType getType()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API listing endpoint type.
      Specified by:
        `getType` in interface `ApiConfigurationProperties`
      Returns:
        the API listing endpoint type

    - #### setType

          public void setType(ApiEndpointType type)

    - #### getScannerType

          public JaxrsScannerType getScannerType()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API resource classes scanner type.
      Specified by:
        `getScannerType` in interface `ApiConfigurationProperties`
      Returns:
        the API resource classes scanner type

    - #### setScannerType

          public void setScannerType(JaxrsScannerType scannerType)

    - #### getContextId

          public String getContextId()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API context id.
      Specified by:
        `getContextId` in interface `ApiConfigurationProperties`
      Returns:
        The context id

    - #### getTitle

          public String getTitle()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API title.
      Specified by:
        `getTitle` in interface `ApiConfigurationProperties`
      Returns:
        the API title

    - #### setTitle

          public void setTitle(String title)

    - #### getVersion

          public String getVersion()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API version.
      Specified by:
        `getVersion` in interface `ApiConfigurationProperties`
      Returns:
        the API version

    - #### setVersion

          public void setVersion(String version)

    - #### getDescription

          public String getDescription()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API description.
      Specified by:
        `getDescription` in interface `ApiConfigurationProperties`
      Returns:
        the API description

    - #### setDescription

          public void setDescription(String description)

    - #### getTermsOfServiceUrl

          public String getTermsOfServiceUrl()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API terms of service URL.
      Specified by:
        `getTermsOfServiceUrl` in interface `ApiConfigurationProperties`
      Returns:
        the API terms of service URL

    - #### setTermsOfServiceUrl

          public void setTermsOfServiceUrl(String termsOfServiceUrl)

    - #### getContact

          public SwaggerConfigurationProperties.Contact getContact()

    - #### setContact

          public void setContact(SwaggerConfigurationProperties.Contact contact)

    - #### getLicense

          public SwaggerConfigurationProperties.License getLicense()

    - #### setLicense

          public void setLicense(SwaggerConfigurationProperties.License license)

    - #### getExternalDocs

          public SwaggerConfigurationProperties.ExternalDocs getExternalDocs()

    - #### setExternalDocs

          public void setExternalDocs(SwaggerConfigurationProperties.ExternalDocs externalDocs)

    - #### getContactName

          public String getContactName()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API contact name.
      Specified by:
        `getContactName` in interface `ApiConfigurationProperties`
      Returns:
        the API contact name

    - #### getContactEmail

          public String getContactEmail()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API contact email.
      Specified by:
        `getContactEmail` in interface `ApiConfigurationProperties`
      Returns:
        the API contact email

    - #### getContactUrl

          public String getContactUrl()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API contact URL.
      Specified by:
        `getContactUrl` in interface `ApiConfigurationProperties`
      Returns:
        the API contact URL

    - #### getLicenseName

          public String getLicenseName()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API license name.
      Specified by:
        `getLicenseName` in interface `ApiConfigurationProperties`
      Returns:
        the API license name

    - #### getLicenseUrl

          public String getLicenseUrl()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API license URL.
      Specified by:
        `getLicenseUrl` in interface `ApiConfigurationProperties`
      Returns:
        the API license URL

    - #### getExternalDocsUrl

          public String getExternalDocsUrl()

      Description copied from interface: `ApiConfigurationProperties`
      Get the external documentation URL.
      Specified by:
        `getExternalDocsUrl` in interface `ApiConfigurationProperties`
      Returns:
        the API contact URL

    - #### getExternalDocsDescription

          public String getExternalDocsDescription()

      Description copied from interface: `ApiConfigurationProperties`
      Get the external documentation description.
      Specified by:
        `getExternalDocsDescription` in interface `ApiConfigurationProperties`
      Returns:
        the API contact URL

    - #### getServer

          public SwaggerConfigurationProperties.Server getServer()

    - #### setServer

          public void setServer(SwaggerConfigurationProperties.Server server)

    - #### getServerUrl

          public String getServerUrl()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API server URL.
      Specified by:
        `getServerUrl` in interface `ApiConfigurationProperties`
      Returns:
        the API server URL

    - #### getServerDescription

          public String getServerDescription()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API server description.
      Specified by:
        `getServerDescription` in interface `ApiConfigurationProperties`
      Returns:
        the API server description

    - #### getSecurity

          public List<SwaggerConfigurationProperties.Security> getSecurity()

    - #### setSecurity

          public void setSecurity(List<SwaggerConfigurationProperties.Security> security)

    - #### getSecurityRequirements

          public List<Map<String,List<String>>> getSecurityRequirements()

      Description copied from interface: `ApiConfigurationProperties`
      Get the API security requirements.
      Specified by:
        `getSecurityRequirements` in interface `ApiConfigurationProperties`
      Returns:
        the API security requirements

    - #### isPrettyPrint

          public boolean isPrettyPrint()

      Description copied from interface: `ApiConfigurationProperties`
      Get whether the API output should be formatted.
      Specified by:
        `isPrettyPrint` in interface `ApiConfigurationProperties`
      Returns:
        whether the API output should be formatted

    - #### setPrettyPrint

          public void setPrettyPrint(boolean prettyPrint)

Copyright © 2019 The Holon Platform. All rights reserved.